<!DOCTYPE html>
<html lang="en">
    <head>
    <meta charset="utf-8">
    <title>PHP Form Class For Bootstrap - PhpForms v.1.2.7</title>
    <meta name="description" content="A simple but powerfull class to create forms easily">
    <meta name="author" content="Gilles Migliori">
    <meta name="copyright" content="Gilles Migliori">
    <meta name="generator" content="Documenter v2.0 http://rxa.li/documenter">
    <meta name="date" content="2014-09-08T00:00:00+02:00">

    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">

    <link href="assets/css/bootstrap.css" rel="stylesheet">
    <link href="assets/js/google-code-prettify/prettify.css" rel="stylesheet">
    <link href="assets/css/bootstrap-responsive.css" rel="stylesheet">
    <link href="assets/css/documenter_style.css" rel="stylesheet">
    <!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->

    <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />


    <style>
        html, body{background-color:#F3F3F3;color:#585858;}
        h1,h2,h3,h4,h5,h6{color:#585858;}
        section table{background-color:#F3F3F3;}
        ::-moz-selection{background:#111111;color:#F1F1F1;}
        ::selection{background:#111111;color:#F1F1F1;}
        a.brand{background-image:url(assets/images/image_2.png);}
        a, a:hover, a:active{color:#111111;}
        hr{border-top:1px solid #E5E5E5;border-bottom:1px solid #F9F9F9;}
        div.navbar-inner, .navbar .nav li ul{background:#333333;color:#F1F1F1;http://static.revaxarts-themes.com/noise.gif}
        a.btn-navbar{background:#333333;color:#F1F1F1;}
        .navbar .nav li a{color:#F1F1F1;text-shadow:1px 1px 0px #444444;}
        .navbar .nav li a:hover, .navbar .nav li.active a{text-shadow:none;}
        div.navbar-inner ul{}
        .marketing-byline{color:#F9F9F9;}
        .navbar .nav > li a{color:#F1F1F1;}
        .navbar .nav > li a:hover, a.btn-navbar:hover{background:#111111;color:#F1F1F1;}
        .navbar .nav .active > a, .navbar .nav .active > a:hover, a.btn-navbar:active{background-color:#111111;color:#F1F1F1;}
        .navbar .nav li ul li a:hover{background:#111111;color:#F1F1F1;}
        .navbar .nav li ul li a:active{background:#111111;color:#F1F1F1;}
        .btn-primary {
              background-image: -moz-linear-gradient(top, #585858, #3B3B3B);
              background-image: -ms-linear-gradient(top, #585858, #3B3B3B);
              background-image: -webkit-gradient(linear, 0 0, 0 585858%, from(#333333), to(#3B3B3B));
              background-image: -webkit-linear-gradient(top, #585858, #3B3B3B);
              background-image: -o-linear-gradient(top, #585858, #3B3B3B);
              background-image: linear-gradient(top, #585858, #3B3B3B);
              filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#585858', endColorstr='#3B3B3B', GradientType=0);
              border-color: #3B3B3B #3B3B3B #bfbfbf;
              color:#F9F9F9;
        }
        .btn-primary:hover,
        .btn-primary:active,
        .btn-primary.active,
        .btn-primary.disabled,
        .btn-primary[disabled] {
          background-color: #3B3B3B;
        }
        .btn-examples {
            margin-left: 310px;
        }
        #documenter_copyright{display:block !important;visibility:visible !important;}
    </style>

    <link rel="stylesheet" href="assets/css/documenter.css" media="screen">


    </head>

<body class="documenter-project-phpforms-v10" data-spy="scroll" id="top">

<!-- Documentation Navbar -->

<div class="navbar navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container">
            <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse"> <span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span> </a>
            <a class="brand" href="http://codecanyon.net/item/php-form-class-for-bootstrap-3/8790160">PhpForms v.1.2.7 - <small>PHP Form Class For Bootstrap</small></a>
            <div class="nav-collapse">
            <ul class="nav">

            <li><a href="#overview" title="Overview">Overview</a></li>
            <li><a href="#quick_start_guide" title="Quick Start Guide">Quick Start Guide</a></li>
            <li><a href="#features" title="Features">Features</a></li>
            <li><a href="#changelog" title="Changelog">Changelog</a></li>
            <li><a href="#source_credits" title="Source & Credits">Source & Credits</a></li>

            </ul>
            </div>
        </div>
    </div>
</div> <!-- End of Navbar -->

<!-- Main Container Beginning -->

<div class="container" id="documenter_content">

    <div id="documenter-cover">
    <div id="buy"></div>
    <div class="masthead">
        <h1>PhpForms - <small>PHP Form Class For Bootstrap</small></h1>
        <p>A simple but powerfull class to create forms, validate posted values, send emails or record results to database easily</p>
        <ul class="marketing-byline">
            <li>created: 05/08/2014</li>
            <li>latest update: 14/12/2014</li>
            <li>by: Gilles Migliori</li>

        </ul>
        <p class="download-info">
            <a href="#quick_start_guide" class="btn btn-primary btn-large">Quick Start Guide</a>
            <a href="#features" class="btn btn-large">Features</a>
            <a href="http://codecanyon.creation-site.org/phpforms/examples/bootstrap-contact-form.php" class="btn btn-large">Examples</a>
            <a href="http://codecanyon.creation-site.org/phpforms/documentation/class-doc/" class="btn btn-large">Complete Class Documentation</a>
        </p>

    </div> <!-- masthead -->

   <div id="intro">
    <p class="highlight hero-unit">PHPForms is simple but powerfull class to create forms, validate posted values, send emails or record results to database.<br><br>PHPForms is ready to use with Bootstrap, but can be easily adapted for any other framework, or as standalone.<br><br>PHPForms generates clean customizable html,<br>Controls user inputs,<br>Sends emails with templates and inline css,<br>Links jQuery plugins to your fields in two lines (file uploads, date and time pickers, captcha, ... ),<br>Adds tinyMce (Rich Text Editor) with responsivefilemanager in just one line.<br><br>You can add and configure your own plugins easily.</p>
   </div> <!-- intro -->

    </div>

  <section id="overview">
    <div class="page-header"><h3>Overview</h3><hr class="notop"></div>
<p>Form is a simple but powerfull class in witch you can create complex forms easily.</p>
<p>Form is ready to use with <a href="http://getbootstrap.com/">Bootstrap</a>, but can be easily adapted for other frameworks.<br>All you need is to match <a href="#options-overview">form options</a> with your framework. That&#39;s all.</p>
<p>Form generates clean HTML5 markup, with two separates functions to generate CSS and JS code, so you can render them separately (generaly in &lt;head&gt; or just before &lt;/body&gt;).</p>
<p>Server-side validation can be done on any destination page ; errors are stored in session</p>
<p>Email sending function : send simple email based on default html/css template and filteder posted values, or advanced email with custom template, attached files, cc, bcc, etc.</p>
<p>Six plugins are included (colorpicker, datepicker, timepicker, captcha, word/character counter, file upload), .<br>You can easily add any other external plugin.</p>
<p>When you activate a plugin, the needed css and js files will be automaticaly rendered.</p>
<p>
    <a class="btn btn-primary" href="http://codecanyon.creation-site.org/phpforms/examples/bootstrap-contact-form.php" target="_blank">Examples</a></p>
</section>
<section id="quick_start_guide">
    <div class="page-header"><h3>Quick Start Guide</h3><hr class="notop"></div>
<ol>
    <li>
        Copy the folowing files and folders on your server :<br><br>
        <span class="pull-left">form/</span>
        <p class="clearfix">
            <span class="str-top">plugins/</span>
            <br>
            <span class="str-mid"><strong>plugins-config/</strong></span>
            <br>
            <span class="str-mid"><strong>Validator/</strong></span>
            <br>
            <span class="str-mid"><strong>Form.php</strong></span>
            <br>
            <span class="str-bottom">plugins-path.php</span>
        </p>
        <p class="bg-warning">
            plugin/ and plugins-config/ dirs are required only with use of plugins.
            <br>
            If your form uses plugins, configure plugins path in
                <code>plugins-path.php</code>.
        </p>
    </li>
    <li>
        <p>
            Start session (needeed to display POST errors) and include form class :</p>
        <pre>use phpforms\Form;
use phpforms\Validator\Validator;

session_start();
include_once(&#39;form/Form.php&#39;);</pre>
    </li>
    <li>
        <p>
            Instantiate your form :</p>
        <pre>
$form = new Form(&#39;my-first-form&#39;); // minimal ; default layout will be &#39;horizontal&#39;</pre>
        <p>
            or</p>
        <pre>
$form = new Form(&#39;my-first-form&#39;, &#39;vertical&#39;); // layout can be horizontal | vertical | inline</pre>
    </li>
    <li>
        <p>
            Add content, for example :</p>
                    <pre>
$form-&gt;startFieldset(&#39;My First Form&#39;);
$form-&gt;addInput(&#39;text&#39;, &#39;my-input-name&#39;, &#39;&#39;, &#39;Your name&#39;, &#39;required=required&#39;);
$form-&gt;addTextarea(&#39;my-textarea-name&#39;, &#39;Your message :&#39;, &#39;Your message : &#39;, &#39;cols=30, rows=4&#39;);
$form-&gt;addBtn(&#39;submit&#39;, &#39;my-btn-name&#39;, 1, &#39;Submit form&#39;, &#39;class=btn btn-primary&#39;);
$form-&gt;endFieldset();
$form-&gt;render();</pre>
</li>
    <li>Result :<br><br>
        <figure>
            <img alt="Bootrstrap PhpForm Example" src="assets/images/image_1.jpg">
        </figure>
    </li>
</ol>
<p><a href="http://codecanyon.creation-site.org/phpforms/examples/bootstrap-contact-form.php" class="btn btn-large btn-examples">More Examples</a></p>
<p>&nbsp;</p></section>
<section id="features">
    <div class="page-header"><h3>Features</h3><hr class="notop"></div>
<ul>
    <li>Form generation with options for layout (horizontal, vertical, inline).</li>
    <li>Accepts any HTML5 form elements, including fieldsets, multiple selects, optgroups, button groups, ... .</li>
    <li>Allows to customize HTML with wrappers, IDs, classes and attributes, Javascript events, custom code almost anywhere.</li>
    <li>Default options ready for Bootstrap.</li>
    <li>Kube and Skeleton examples.</li>
    <li>Renders separate HTML code, CSS includes code for plugins, JS includes code for plugins and JS Domready code for plugins.</li>
    <li>Control posted values in few lines.</li>
    <li>Send posted values by email based on customisable templates.</li>
    <li>Record posted values into database.</li>
    <li>Can display HTML code for debug purpose.</li>
    <li>Powerful integration of any Javascript plugin (jQuery or any other library) : configure the plugin XML file, PHPForms will generate all code for you (CSS includes, JS includes and JS Domready).</li>
    <li>Can memorize several custom configurations with each plugin (as many as you want), so you can reuse them easily.</li>
    <li>6 jQuery plugins included :
        <ul>
            <li>Colorpicker <small>(Third part plugin)</small></li>
            <li>Datepicker <small>(Third part plugin)</small></li>
            <li>Timepicker <small>(Third part plugin)</small></li>
            <li>Captcha <small>(Third part plugin)</small></li>
            <li>word/character counter</li>
            <li>Fileupload <small>(Third part plugin)</small></li>
        </ul>
    </li>
    <li>tinyMce included as plugin</li>
    <li>Server-side validation, with multilanguage errors gestion (Third part PHP class).</li>
    <li>Complete documentation with examples.</li>
    <li>Support on Codecanyon, by e-mail or by phone.</li>
</ul>
</section>
<section id="changelog">
    <div class="page-header"><h3>Changelog</h3><hr class="notop"></div>

    <h4 >Version 1.2.7 ()</h4>
    <pre class="prettyprint lang-plain linenums">
    Bug Fix :
        - fix word-char-count plugin used on the same page with tinyMce + word-char-count.
    </pre>

    <h4 >Version 1.2.6 ()</h4>
    <pre class="prettyprint lang-plain linenums">
    Improvement :
        - register array fieldnames in session to keep values when validation fails.
    </pre>

    <h4>Version 1.2.5 (17/02/2015)</h4>
    <pre class="prettyprint lang-plain linenums">
    Improvement :
        - add word-char-count support with tinyMce
    </pre>
    <h4>Version 1.2.4 (27/12/2014)</h4>
    <pre class="prettyprint lang-plain linenums">
    New Features :
        - add support for select into input groups
    Improvements :
        - input groups documentation &amp; examples fully detailed
    </pre>
    <h4>Version 1.2.3 (14/12/2014)</h4>
    <pre class="prettyprint lang-plain linenums">
    New Features :
        - add database utilities with Myql class
        - add tinyMce (Rich Text Editor) plugin with responsivefilemanager
    Improvements :
        - add debug argument to print css/js includes &amp; js code on screen
        - support of multiple fileUploads on the same page
    </pre>
    <h4>Version 1.2.2 (30/10/2014)</h4>
    <pre class="prettyprint lang-plain linenums">
    New Feature :
        - add word / character count plugin
    Bug Fix :
        - Fix object context error with php &lt; 5.4
    </pre>
    <h4>Version 1.2.1 (28/10/2014)</h4>
    <pre class="prettyprint lang-plain linenums">
    Updates :
        - improve email sending with attached files
        - auto-detect email encoding
    </pre>
    <h4>Version 1.2 (08/10/2014)</h4>
    <pre class="prettyprint lang-plain linenums">
    New Features :
        - add sendMail function
        - add sendAdvancedMail function
        - add groupInputs function
        - add btnGroupClass option

    Updates :
        - update fileUpload plugin to last version

    Bugs Fixes :
        - Fix default checkbox wrapper html
        - Fix plugin path with only fileUploads
    </pre>
    <h4>Version 1.1 (18/09/2014)</h4>
    <pre class="prettyprint lang-plain linenums">
        Bugs Fixes :
        - Fix Validator compatibility with 32/64 bit systems
        - Fix object context error with php &lt; 5.4
    </pre>
    <h4>Version 1.0 (08/09/2014)</h4>
    <pre class="prettyprint lang-plain linenums">
        PSR2 Standard support
        Check for security vulnerabilities
        Add documentation
    </pre>
    <p>&nbsp;</p>
</section>
<section id="source_credits">
    <div class="page-header"><h3>Source &amp; Credits</h3><hr class="notop"></div>
<p>
    Thanks so much to :</p>
<ul>
    <li><a href="https://github.com/blackbelt/php-validation">blackbelt&#39;s php-validation class</a></li>
    <li><a href="http://www.phpclasses.org/ultimatemysql">Jeff L. Williams&#39;s Mysql class</a></li>
    <li><a href="http://www.responsivefilemanager.com/">http://www.responsivefilemanager.com/</a></li>
    <li><a href="http://www.tinymce.com">http://www.tinymce.com</a></li>
    <li><a href="http://colpick.com/plugin">http://colpick.com/plugin</a></li>
    <li><a href="http://jqueryui.com/datepicker/">http://jqueryui.com/datepicker/</a></li>
    <li><a href="https://github.com/jonthornton/jquery-timepicker">https://github.com/jonthornton/jquery-timepicker</a></li>
    <li><a href="http://keith-wood.name/realPerson.html">http://keith-wood.name/realPerson.html</a></li>
    <li><a href="https://github.com/blueimp/jQuery-File-Upload">https://github.com/blueimp/jQuery-File-Upload</a></li>
    <li><a href="https://github.com/PHPMailer/PHPMailer/">https://github.com/PHPMailer/PHPMailer</a></li>
    <li><a href="https://github.com/jjriv/emogrifier">https://github.com/jjriv/emogrifier</a></li>
</ul>
</section>



    <hr />

<footer>
    <p>Copyright Gilles Migliori 2014 made with the <a href="http://rxa.li/documenter">Documenter v2.0</a></p>
</footer>
</div><!-- /container -->

<!-- Le javascript
    ================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script>document.createElement('section');var duration='450',easing='easeOutExpo';</script>
<script src="assets/js/jquery.js"></script>
<script src="assets/js/jquery.scrollTo.js"></script>
<script src="assets/js/jquery.easing.js"></script>
<script src="assets/js/scripts.js"></script>
<script src="assets/js/google-code-prettify/prettify.js"></script>
<script src="assets/js/bootstrap-min.js"></script>
<script type="text/javascript">
    if (top == self) {
        $('#buy').html('<a href="http://codecanyon.net/item/php-form-class-for-bootstrap/8790160?WT.ac=category_thumb&WT.z_author=migli" class="btn btn-success btn-large" id="buy-btn"><span class="glyphicon glyphicon-hand-left"></span> Buy on Codecanyon <small>(5$ only)</small></a>');
    }
</script>
</body>
</html>
